gnupg_addsignkey
gnupg_clearencryptkeys
GnuPG Functions
PHP Manual

# gnupg_cleardecryptkeys

(No version information available, might be only in CVS)

gnupg_cleardecryptkeys — Removes all keys which were set for decryption before

### Description

bool gnupg_cleardecryptkeys ( resource `$identifier` )

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Procedural gnupg_cleardecryptkeys() example

`<?php
$res = gnupg_init();
gnupg_cleardecryptkeys($res);
?>`

Example #2 OO gnupg_cleardecryptkeys() example

`<?php
$gpg = new gnupg();
$gpg -> cleardecryptkeys();
?>`

gnupg_addsignkey
gnupg_clearencryptkeys
GnuPG Functions
PHP Manual